This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 463563 - [LTC 6.0 FEAT] 201099:SLB shadow buffer support
[LTC 6.0 FEAT] 201099:SLB shadow buffer support
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
ppc64 All
high Severity high
: alpha
: 6.0
Assigned To: Kevin W Monroe
Martin Jenner
: FutureFeature
Depends On:
Blocks: 356741
  Show dependency treegraph
 
Reported: 2008-09-23 17:21 EDT by IBM Bug Proxy
Modified: 2009-09-23 17:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-23 17:53:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-23 17:21:39 EDT
=Comment: #1=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-17 15:57 EDT
1. Feature Overview:
Feature Id:	[201099]
a. Name of Feature:	SLB shadow buffer support
b. Feature Description
On POWER6, the hypervisor can recover the machine after certain kinds of  CPU
hardware failure and migrate affected partitions to another CPU, but to do that
seamlessly, it needs the operating system to maintain a  record in memory of the
SLB entries that it needs. This adds code to the  kernel to maintain this
record. This only affects POWER.

2. Feature Details:
Sponsor:	PPC
Architectures:
ppc64

Arch Specificity: Purely Arch Specific Code
Affects Core Kernel: Yes
Affects Kernel Modules: Yes
Delivery Mechanism: Direct from community
Category:	Kernel
Request Type:	Kernel - Enhancement from IBM
d. Upstream Acceptance:	Accepted
Sponsor Priority	2
f. Severity: Medium
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.23

3. Business Case
This features allows recovery from CPU failure.   This is a high availability
feature important to customers to minimize downtime

Benefits
Minimal downtime for customer

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Michael Hohnbaum, hbaum@us.ibm.com, 503-578-5486

Technical contact(s):
Paul Mackerras, pmac@au1.ibm.com

IBM Manager:
Pat Gaughen, gaughen@us.ibm.com
Comment 1 Bill Nottingham 2008-10-02 15:57:16 EDT
RHEL 6 will include a kernel later than 2.6.23, so this should not be a problem.

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 2 IBM Bug Proxy 2009-03-02 16:21:28 EST
this is upstream in 2.6.19
sha1 id: 2f6093c84730b4bad65bcd0f2f904a5769b1dfc5
Comment 3 Kevin W Monroe 2009-09-23 17:53:45 EDT
Closing - included in Red Hat Enterprise Linux 6.

Note You need to log in before you can comment on or make changes to this bug.